﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SqrxzEdit
{
    static class NullString
    {
        public static string ReadString(List<byte> file)
        {
            int n = 0;
            while (file[n] != 0)
                n++;
            return Encoding.UTF8.GetString(file.GetRange(0, n).ToArray());
        }


        public static List<byte> ToList(string str, bool nullT)
        {
            List<byte> list = new List<byte>(Encoding.ASCII.GetBytes(str));
            if (nullT)
                list.Add(0x00); // null terminator
            return list;
        }
    }
}
